package com.xtd.project.activiti.domain;

import java.util.Date;

public class MyFormDataActiviti {
    /** 主键*/
    private Long fId;

    /** 模型key*/
    private String modelKey;

    /** 模型版本*/
    private Integer modelVersion;

    /** 模块id*/
    private String modulId;

    /** 名称*/
    private String fName;

    /** 流程实例ID*/
    private String instanceId;

    /** 流程名称*/
    private String processDefinitionName;

    /** 任务名称*/
    private String taskName;

    /** 申请提交人*/
    private String creatUserName;

    /** 申请提交部门*/
    private String creatDeptName;

    /** 申请提交时间*/
    private Date creatFormTime;

    /** 任务id*/
    private String taskId;

    /** key*/
    private String fKey;

    /** 版本*/
    private Long fVersion;

    /** 申请人*/
    private String applyUser;

    /** json数据*/
    private String jsonData;

    /** 是否可用 0 不可用 1 可用*/
    private Integer status;

    /** 提交者*/
    private String createUser;

    /** 提交部门*/
    private String createDept;

    /** 创建人*/
    private String createBy;

    /** 创建时间*/
    private Date createTime;

    /** 更新用户*/
    private String updateBy;

    /** 更新时间*/
    private Date updateTime;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getModelKey() {
        return modelKey;
    }

    public void setModelKey(String modelKey) {
        this.modelKey = modelKey == null ? null : modelKey.trim();
    }

    public Integer getModelVersion() {
        return modelVersion;
    }

    public void setModelVersion(Integer modelVersion) {
        this.modelVersion = modelVersion;
    }

    public String getModulId() {
        return modulId;
    }

    public void setModulId(String modulId) {
        this.modulId = modulId == null ? null : modulId.trim();
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName == null ? null : fName.trim();
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId == null ? null : instanceId.trim();
    }

    public String getProcessDefinitionName() {
        return processDefinitionName;
    }

    public void setProcessDefinitionName(String processDefinitionName) {
        this.processDefinitionName = processDefinitionName == null ? null : processDefinitionName.trim();
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName == null ? null : taskName.trim();
    }

    public String getCreatUserName() {
        return creatUserName;
    }

    public void setCreatUserName(String creatUserName) {
        this.creatUserName = creatUserName == null ? null : creatUserName.trim();
    }

    public String getCreatDeptName() {
        return creatDeptName;
    }

    public void setCreatDeptName(String creatDeptName) {
        this.creatDeptName = creatDeptName == null ? null : creatDeptName.trim();
    }

    public Date getCreatFormTime() {
        return creatFormTime;
    }

    public void setCreatFormTime(Date creatFormTime) {
        this.creatFormTime = creatFormTime;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getfKey() {
        return fKey;
    }

    public void setfKey(String fKey) {
        this.fKey = fKey == null ? null : fKey.trim();
    }

    public Long getfVersion() {
        return fVersion;
    }

    public void setfVersion(Long fVersion) {
        this.fVersion = fVersion;
    }

    public String getApplyUser() {
        return applyUser;
    }

    public void setApplyUser(String applyUser) {
        this.applyUser = applyUser == null ? null : applyUser.trim();
    }

    public String getJsonData() {
        return jsonData;
    }

    public void setJsonData(String jsonData) {
        this.jsonData = jsonData == null ? null : jsonData.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public String getCreateDept() {
        return createDept;
    }

    public void setCreateDept(String createDept) {
        this.createDept = createDept == null ? null : createDept.trim();
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy == null ? null : createBy.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}